GET /v1/webhooks
#GET /v1/webhookslistWebhooks
Your webhook endpoints
| Scope | webhooks:write |
|---|---|
| Lowest tier | developer |
| Weight (units) | 1 |
| SDK | Python client.webhooks.list ยท JavaScript cd.webhooks.list |
Errors
400invalid_param, invalid_cursor401unauthorized: missing, unknown, revoked or expired key403insufficient_scope, tier_required404not_found, not_available, not_in_sandbox422window_too_large429rate_limited (per minute) or quota_exhausted (month; X-Quota-* headers, Retry-After = seconds to the next month); see Retry-After503api_disabled, overloaded
Example
curl "https://api.chartdeck.trade/v1/webhooks" \
-H "Authorization: Bearer $CHARTDECK_API_KEY"from chartdeck import Client
client = Client() # reads CHARTDECK_API_KEY
r = client.webhooks.list()
print(r.data, r.meta["attribution"])import { ChartDeck } from '@chartdeck/api';
const cd = new ChartDeck(); // reads CHARTDECK_API_KEY
const r = await cd.webhooks.list();
console.log(r.data, r.meta.attribution);